org.postgis.binary

## Class ByteGetter.BinaryByteGetter

- java.lang.Object
- - org.postgis.binary.ByteGetter
  - - org.postgis.binary.ByteGetter.BinaryByteGetter

Enclosing class:
  ByteGetter

    public static class ByteGetter.BinaryByteGetter
    extends ByteGetter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.postgis.binary.ByteGetter

`ByteGetter.BinaryByteGetter, ByteGetter.StringByteGetter`

### Constructor Summary

Constructors
Constructor and Description
`BinaryByteGetter(byte[] array)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get(int index)` Get a byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryByteGetter

    public BinaryByteGetter(byte[] array)

### Method Detail

#### get

    public int get(int index)

Description copied from class: `ByteGetter`
Get a byte.

Specified by:
  `get` in class `ByteGetter`
Returns:
  The result is returned as Int to eliminate sign problems when or'ing several values together.